﻿OreCrusherRunOnce = 0;
OreCrusherEventFrame = CreateFrame("Frame")
OreCrusherEventFrame:SetScript("OnEvent", function(this, event, ...)
  OreCrusherEvents[event](...)
end)
OreCrusherEventFrame:RegisterEvent("ADDON_LOADED")
OreCrusherEvents = {};
function OreCrusherEvents.ADDON_LOADED(addon)
	if addon ~= "OreCrusher" then return end
	-- Default saved variables
	if not OreCrusherPriceDB then
		OreCrusherPriceDB = {} -- fresh start
	end
	if not OreCrusherDB then
		OreCrusherDB = {} -- fresh start
	end
	if not OreCrusherDB.DECheck then OreCrusherDB.DECheck = 0 end
	if not OreCrusherDB.DEPct then OreCrusherDB.DEPct = 10 end
	if OreCrusherDB.DEPct == "" then OreCrusherDB.DEPct = 10 end
	if not OreCrusherDB.XmuteCheck then OreCrusherDB.XmuteCheck = 0 end
	if not OreCrusherDB.RareCheck then OreCrusherDB.RareCheck = 0 end
	if not OreCrusherDB.RarePct then OreCrusherDB.RarePct = 10 end
	if OreCrusherDB.RarePct == "" then OreCrusherDB.RarePct = 10 end
	if not OreCrusherDB.AltBuyout then OreCrusherDB.AltBuyout = 0 end
	if not OreCrusherDB.UIScale then OreCrusherDB.UIScale = 75 end
	OreCrusherEventFrame:UnregisterEvent("ADDON_LOADED")
	OC_RarePct:SetText(OreCrusherDB.RarePct);
	OC_RareCheck:SetChecked(OreCrusherDB.RareCheck);
	OC_DEPct:SetText(OreCrusherDB.DEPct);
	OC_DECheck:SetChecked(OreCrusherDB.DECheck);
	OC_XmuteCheck:SetChecked(OreCrusherDB.XmuteCheck);
	OC_UIScaleSlider:SetValue(OreCrusherDB.UIScale);
	OreCrusherForm:SetScale(OreCrusherDB.UIScale/100);
	OreCrusherDE:SetScale(OreCrusherDB.UIScale/100);
  end
  

function OreCrusher_Obsidium()
	if OC_ObsidiumNS:GetNumber() == nil or OC_ObsidiumNS:GetNumber() == 0 then return end
	if OreCrusherDB.RarePct == nil then OreCrusherDB.RarePct = 10 end
	if OreCrusherDB.RarePct == nil then OreCrusherDB.RarePct = 10 end
	OreCrusherRunOnce = 1;
	OreCrusher_RawValue("obs");
	OreCrusher_DE();
	OreCrusher_Xmute();
	OreCrusher_MaxGold();
end

function OreCrusher_Elementium()
	if OC_ElementiumNS:GetNumber() == nil or OC_ElementiumNS:GetNumber() == 0 then return end
	if OreCrusherDB.RarePct == nil then OreCrusherDB.RarePct = 10 end
	if OreCrusherDB.RarePct == nil then OreCrusherDB.RarePct = 10 end
	OreCrusherRunOnce = 1;
	OreCrusher_RawValue("ele");
	OreCrusher_DE();
	OreCrusher_Xmute();
	OreCrusher_MaxGold();
end

function OreCrusher_Pyrite()
	if OC_PyriteNS:GetNumber() == nil or OC_PyriteNS:GetNumber() == 0 then return end
	if OreCrusherDB.RarePct == nil then OreCrusherDB.RarePct = 10 end
	if OreCrusherDB.RarePct == nil then OreCrusherDB.RarePct = 10 end
	OreCrusherRunOnce = 1;
	OreCrusher_RawValue("pyr");
	OreCrusher_DE();
	OreCrusher_Xmute();
	OreCrusher_MaxGold();
end

function OreCrusher_UIScale()
	if not OreCrusherDB then return end;
	if OreCrusherDB.UIScale == OC_UIScaleSlider:GetValue() then return end;
	OreCrusherDB.UIScale = OC_UIScaleSlider:GetValue();
	OreCrusherForm:SetScale(OreCrusherDB.UIScale/100);
	OreCrusherDE:SetScale(OreCrusherDB.UIScale/100);
end

function OC_XmuteCheckUpdate()
	if OreCrusherDB.XmuteCheck == 0 then
		OreCrusherDB.XmuteCheck = 1
	else
		OreCrusherDB.XmuteCheck = 0
	end
	if OreCrusherRunOnce == 1 then
		OreCrusher_Xmute();
		OreCrusher_MaxGold();
	end
end

function OC_RareCheckUpdate()
	if OreCrusherDB.RareCheck == 0 then
		OreCrusherDB.RareCheck = 1
	else
		OreCrusherDB.RareCheck = 0
	end
	if OreCrusherRunOnce == 1 then
		OreCrusher_DE();
		OreCrusher_Xmute();
		OreCrusher_MaxGold();
	end
end

function OC_RarePctUpdate()
	if OC_RarePct:GetText() == "" then return end
	OreCrusherDB.RarePct = OC_RarePct:GetText();
	if OreCrusherRunOnce == 1 then
		OreCrusher_DE();
		OreCrusher_Xmute();
		OreCrusher_MaxGold();
	end
end

function OC_DECheckUpdate()
	if OreCrusherDB.DECheck == 0 then
		OreCrusherDB.DECheck = 1
	else
		OreCrusherDB.DECheck = 0
	end
	if OreCrusherRunOnce == 1 then
		OreCrusher_DE();
		OreCrusher_MaxGold();
	end
end

function OC_DEPctUpdate()
	if OC_DEPct:GetText() == "" then return end
		OreCrusherDB.DEPct = OC_DEPct:GetText();
	if OreCrusherRunOnce == 1 and OreCrusherDB.DEPct ~= "" then
		OreCrusher_DE();
		OreCrusher_MaxGold();
	end
end

function OreCrusher_RawValue(oreType)
	--OC_AmbRawGLabel:SetText("999"); <da syntex 4 tese
	if oreType == 'obs' then 
		rvPPS = OC_ObsidiumPPS:GetNumber() or 0;
		rvNS = OC_ObsidiumNS:GetNumber() or 0;
		
		--Amounts
		AmbAmt = rvNS*.012*1*4
		OC_AmbAmtLabel:SetText(AmbAmt);
		DemAmt = rvNS*.012*1*4
		OC_DemAmtLabel:SetText(DemAmt);
		DreAmt = rvNS*.012*1*4
		OC_DreAmtLabel:SetText(DreAmt);
		EmbAmt = rvNS*.012*1*4
		OC_EmbAmtLabel:SetText(EmbAmt);
		InfAmt = rvNS*.012*1*4
		OC_InfAmtLabel:SetText(InfAmt);
		OceAmt = rvNS*.012*1*4
		OC_OceAmtLabel:SetText(OceAmt);
		AliAmt = rvNS*.24*1*4
		OC_AliAmtLabel:SetText(AliAmt);
		CarAmt = rvNS*.24*1*4
		OC_CarAmtLabel:SetText(CarAmt);
		HesAmt = rvNS*.24*1*4
		OC_HesAmtLabel:SetText(HesAmt);
		JasAmt = rvNS*.24*1*4
		OC_JasAmtLabel:SetText(JasAmt);
		NigAmt = rvNS*.24*1*4
		OC_NigAmtLabel:SetText(NigAmt);
		ZepAmt = rvNS*.24*1*4
		OC_ZepAmtLabel:SetText(ZepAmt);
		VolAmt = 0
		OC_VolAmtLabel:SetText(VolAmt);
	elseif oreType == 'ele' then 
		rvPPS = OC_ElementiumPPS:GetNumber() or 0;
		rvNS = OC_ElementiumNS:GetNumber() or 0;
		
		--Amounts
		AmbAmt = rvNS*.04*1*4
		OC_AmbAmtLabel:SetText(AmbAmt);
		DemAmt = rvNS*.04*1*4
		OC_DemAmtLabel:SetText(DemAmt);
		DreAmt = rvNS*.04*1*4
		OC_DreAmtLabel:SetText(DreAmt);
		EmbAmt = rvNS*.04*1*4
		OC_EmbAmtLabel:SetText(EmbAmt);
		InfAmt = rvNS*.04*1*4
		OC_InfAmtLabel:SetText(InfAmt);
		OceAmt = rvNS*.04*1*4
		OC_OceAmtLabel:SetText(OceAmt);
		AliAmt = rvNS*.18*1*4
		OC_AliAmtLabel:SetText(AliAmt);
		CarAmt = rvNS*.18*1*4
		OC_CarAmtLabel:SetText(CarAmt);
		HesAmt = rvNS*.18*1*4
		OC_HesAmtLabel:SetText(HesAmt);
		JasAmt = rvNS*.18*1*4
		OC_JasAmtLabel:SetText(JasAmt);
		NigAmt = rvNS*.18*1*4
		OC_NigAmtLabel:SetText(NigAmt);
		ZepAmt = rvNS*.18*1*4
		OC_ZepAmtLabel:SetText(ZepAmt);
		VolAmt = 0
		OC_VolAmtLabel:SetText(VolAmt);
	elseif oreType == 'pyr' then 
		rvPPS = OC_PyritePPS:GetNumber() or 0;
		rvNS = OC_PyriteNS:GetNumber() or 0;
		
		--Amounts
		AmbAmt = rvNS*.08*1*4
		OC_AmbAmtLabel:SetText(AmbAmt);
		DemAmt = rvNS*.08*1*4
		OC_DemAmtLabel:SetText(DemAmt);
		DreAmt = rvNS*.08*1*4
		OC_DreAmtLabel:SetText(DreAmt);
		EmbAmt = rvNS*.08*1*4
		OC_EmbAmtLabel:SetText(EmbAmt);
		InfAmt = rvNS*.08*1*4
		OC_InfAmtLabel:SetText(InfAmt);
		OceAmt = rvNS*.08*1*4
		OC_OceAmtLabel:SetText(OceAmt);
		AliAmt = rvNS*.16*1*4
		OC_AliAmtLabel:SetText(AliAmt);
		CarAmt = rvNS*.16*1*4
		OC_CarAmtLabel:SetText(CarAmt);
		HesAmt = rvNS*.16*1*4
		OC_HesAmtLabel:SetText(HesAmt);
		JasAmt = rvNS*.16*1*4
		OC_JasAmtLabel:SetText(JasAmt);
		NigAmt = rvNS*.16*1*4
		OC_NigAmtLabel:SetText(NigAmt);
		ZepAmt = rvNS*.16*1*4
		OC_ZepAmtLabel:SetText(ZepAmt);
		VolAmt = rvNS*1*2*4
		OC_VolAmtLabel:SetText(VolAmt);
	end
	
	--RawValues
	OreCrusher_PriceCheck();
	
	AmbRaw = AmbAmt*amberjewel
	OC_AmbRawGLabel:SetText(OreCrusher_GoldSplit(AmbRaw, 1));
	OC_AmbRawSLabel:SetText(OreCrusher_GoldSplit(AmbRaw, 2));
	DemRaw = DemAmt*demonseye
	OC_DemRawGLabel:SetText(OreCrusher_GoldSplit(DemRaw, 1));
	OC_DemRawSLabel:SetText(OreCrusher_GoldSplit(DemRaw, 2));
	DreRaw = DreAmt*dreamemerald
	OC_DreRawGLabel:SetText(OreCrusher_GoldSplit(DreRaw, 1));
	OC_DreRawSLabel:SetText(OreCrusher_GoldSplit(DreRaw, 2));
	EmbRaw = EmbAmt*embertopaz
	OC_EmbRawGLabel:SetText(OreCrusher_GoldSplit(EmbRaw, 1));
	OC_EmbRawSLabel:SetText(OreCrusher_GoldSplit(EmbRaw, 2));
	InfRaw = InfAmt*infernoruby
	OC_InfRawGLabel:SetText(OreCrusher_GoldSplit(InfRaw, 1));
	OC_InfRawSLabel:SetText(OreCrusher_GoldSplit(InfRaw, 2));
	OceRaw = OceAmt*oceansapphire
	OC_OceRawGLabel:SetText(OreCrusher_GoldSplit(OceRaw, 1));
	OC_OceRawSLabel:SetText(OreCrusher_GoldSplit(OceRaw, 2));
	AliRaw = AliAmt*alicite
	OC_AliRawGLabel:SetText(OreCrusher_GoldSplit(AliRaw, 1));
	OC_AliRawSLabel:SetText(OreCrusher_GoldSplit(AliRaw, 2));
	CarRaw = CarAmt*carnelian
	OC_CarRawGLabel:SetText(OreCrusher_GoldSplit(CarRaw, 1));
	OC_CarRawSLabel:SetText(OreCrusher_GoldSplit(CarRaw, 2));
	HesRaw = HesAmt*hessonite
	OC_HesRawGLabel:SetText(OreCrusher_GoldSplit(HesRaw, 1));
	OC_HesRawSLabel:SetText(OreCrusher_GoldSplit(HesRaw, 2));
	JasRaw = JasAmt*jasper
	OC_JasRawGLabel:SetText(OreCrusher_GoldSplit(JasRaw, 1));
	OC_JasRawSLabel:SetText(OreCrusher_GoldSplit(JasRaw, 2));
	NigRaw = NigAmt*nightstone
	OC_NigRawGLabel:SetText(OreCrusher_GoldSplit(NigRaw, 1));
	OC_NigRawSLabel:SetText(OreCrusher_GoldSplit(NigRaw, 2));
	ZepRaw = ZepAmt*zephyrite
	OC_ZepRawGLabel:SetText(OreCrusher_GoldSplit(ZepRaw, 1));
	OC_ZepRawSLabel:SetText(OreCrusher_GoldSplit(ZepRaw, 2));
	VolRaw = VolAmt*volearth
	OC_VolRawGLabel:SetText(OreCrusher_GoldSplit(VolRaw, 1));
	OC_VolRawSLabel:SetText(OreCrusher_GoldSplit(VolRaw, 2));
	TotalRaw = AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw + AliRaw + CarRaw + HesRaw + JasRaw + NigRaw + ZepRaw + VolRaw
	OC_TotalRawGLabel:SetText(OreCrusher_GoldSplit(TotalRaw, 1));
	OC_TotalRawSLabel:SetText(OreCrusher_GoldSplit(TotalRaw, 2));
	OC_OreCostGLabel:SetText(math.floor(rvPPS*rvNS));
	if OreCrusherDB.RareCheck == 1 then
		RareTotal = (AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw) * (1 + OreCrusherDB.RarePct * .01)
	else
		RareTotal = (AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw)
	end
end

function OreCrusher_DEValues()

end

function OreCrusher_HideTooltip()
	GameTooltip:Hide();
end
function OreCrusher_AliTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(alicite or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(alicite or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_CarTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(carnelian or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(carnelian or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_HesTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(hessonite or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(hessonite or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_JasTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(jasper or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(jasper or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_NigTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(nightstone or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(nightstone or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_ZepTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(zephyrite or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(zephyrite or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_VolTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Earthy Value: |cffffffff" .. OreCrusher_GoldSplit(volearth or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(volearth or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_AmbTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(amberjewel or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(amberjewel or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_DemTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(demonseye or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(demonseye or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_DreTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(dreamemerald or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(dreamemerald or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_EmbTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(embertopaz or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(embertopaz or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_InfTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(infernoruby or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(infernoruby or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_OceTooltip()
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Single Gem Value: |cffffffff" .. OreCrusher_GoldSplit(oceansapphire or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(oceansapphire or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_DETooltip()
	DERaw = (DETotalRaw or 0) - (((rvPPS or 0)*(rvNS or 0))*10000)
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("Profit: |cffffffff" .. OreCrusher_GoldSplit(DERaw or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(DERaw or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end
function OreCrusher_XmuteTooltip()
	XmuteRaw = (XmuteTotalRaw or 0) - (((rvPPS or 0)*(rvNS or 0))*10000)
	GameTooltip:ClearLines();
	GameTooltip:SetOwner(UIParent, "ANCHOR_CURSOR")
	GameTooltip:AddLine("|cffffffff" .. (XmuteAmt or 0) .. " |cffffc100Shadowspirit Diamonds @ |cffffffff" .. OreCrusher_GoldSplit(shadowspirit or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(shadowspirit or 0, 2) .. "|cffc0c0c0s |cffffc100each");
	GameTooltip:AddLine("Profit: |cffffffff" .. OreCrusher_GoldSplit(XmuteRaw or 0, 1) .. "|cffffd700g|cffffffff" .. OreCrusher_GoldSplit(XmuteRaw or 0, 2) .. "|cffc0c0c0s");
	GameTooltip:Show();
end

function OreCrusher_DE()
	if OreCrusherDB.RareCheck == 1 then
		RareTotal = (AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw) * (1 + OreCrusherDB.RarePct * .01)
	else
		RareTotal = (AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw)
	end
	--REMEMBER SETTING COST!!<done.
	--REMOVE THAT LINE!!!<d
	--Alicite
	AliCraft = AliAmt/2
	AliHyp = AliCraft*.75*1.5
	OC_AliHypAmtLabel:SetText(AliHyp);
	AliHypRaw = AliHyp * hypnoticdust
	OC_AliHypGLabel:SetText(OreCrusher_GoldSplit(AliHypRaw, 1));
	OC_AliHypSLabel:SetText(OreCrusher_GoldSplit(AliHypRaw, 2));
	AliGce = AliCraft*.25*(1.5/3)
	OC_AliGceAmtLabel:SetText(AliGce);
	AliGceRaw = AliGce * greaterceles
	OC_AliGceGLabel:SetText(OreCrusher_GoldSplit(AliGceRaw, 1));
	OC_AliGceSLabel:SetText(OreCrusher_GoldSplit(AliGceRaw, 2));
	if OreCrusherDB.DECheck == 1 then
		AliTotalRaw = ((AliGceRaw + AliHypRaw) * ((1 + OreCrusherDB.DEPct * .01))) - (AliCraft * 12000)
	else
		AliTotalRaw = (AliGceRaw + AliHypRaw) - (AliCraft * 12000)
	end
	OC_AliTotalGLabel:SetText(OreCrusher_GoldSplit(AliTotalRaw, 1));
	OC_AliTotalSLabel:SetText(OreCrusher_GoldSplit(AliTotalRaw, 2));
	AliGemWorth = AliTotalRaw/AliAmt
	OC_AliWorthGLabel:SetText(OreCrusher_GoldSplit(AliGemWorth, 1));
	OC_AliWorthSLabel:SetText(OreCrusher_GoldSplit(AliGemWorth, 2));
	if (alicite < 95000) and (AliGemWorth < 95000) then
		OC_AliRecLabel:SetText("Cut and Vendor");
		AliTotal = AliAmt * 90000
	elseif AliGemWorth < alicite then
		OC_AliRecLabel:SetText("Auction Raw");
		AliTotal = AliRaw
	elseif AliGemWorth > alicite then
		OC_AliRecLabel:SetText("DE");
		AliTotal = AliTotalRaw
	end
	--Carnelian
	CarCraft = CarAmt/3
	CarHyp = CarCraft*.25*3.5
	OC_CarHypAmtLabel:SetText(CarHyp);
	CarHypRaw = CarHyp * hypnoticdust
	OC_CarHypGLabel:SetText(OreCrusher_GoldSplit(CarHypRaw, 1));
	OC_CarHypSLabel:SetText(OreCrusher_GoldSplit(CarHypRaw, 2));
	CarGce = CarCraft*.75*2.5
	OC_CarGceAmtLabel:SetText(CarGce);
	CarGceRaw = CarGce * greaterceles
	OC_CarGceGLabel:SetText(OreCrusher_GoldSplit(CarGceRaw, 1));
	OC_CarGceSLabel:SetText(OreCrusher_GoldSplit(CarGceRaw, 2));
	if OreCrusherDB.DECheck == 1 then
		CarTotalRaw = ((CarGceRaw + CarHypRaw) * ((1 + OreCrusherDB.DEPct * .01))) - (CarCraft * 36000)
	else
		CarTotalRaw = (CarGceRaw + CarHypRaw) - (CarCraft * 36000)
	end
	OC_CarTotalGLabel:SetText(OreCrusher_GoldSplit(CarTotalRaw, 1));
	OC_CarTotalSLabel:SetText(OreCrusher_GoldSplit(CarTotalRaw, 2));
	CarGemWorth = CarTotalRaw/CarAmt
	OC_CarWorthGLabel:SetText(OreCrusher_GoldSplit(CarGemWorth, 1));
	OC_CarWorthSLabel:SetText(OreCrusher_GoldSplit(CarGemWorth, 2));
	if (carnelian < 95000) and (CarGemWorth < 95000) then
		OC_CarRecLabel:SetText("Cut and Vendor");
		CarTotal = CarAmt * 90000
	elseif CarGemWorth < carnelian then
		OC_CarRecLabel:SetText("Auction Raw");
		CarTotal = CarRaw
	elseif CarGemWorth > carnelian then
		OC_CarRecLabel:SetText("DE");
		CarTotal = CarTotalRaw
	end
	--Hessonite
	HesCraft = HesAmt/2
	HesHyp = HesCraft*.75*2.5
	OC_HesHypAmtLabel:SetText(HesHyp);
	HesHypRaw = HesHyp * hypnoticdust
	OC_HesHypGLabel:SetText(OreCrusher_GoldSplit(HesHypRaw, 1));
	OC_HesHypSLabel:SetText(OreCrusher_GoldSplit(HesHypRaw, 2));
	HesGce = HesCraft*.25*(2.5/3)
	OC_HesGceAmtLabel:SetText(HesGce);
	HesGceRaw = HesGce * greaterceles
	OC_HesGceGLabel:SetText(OreCrusher_GoldSplit(HesGceRaw, 1));
	OC_HesGceSLabel:SetText(OreCrusher_GoldSplit(HesGceRaw, 2));
	if OreCrusherDB.DECheck == 1 then
		HesTotalRaw = ((HesGceRaw + HesHypRaw) * ((1 + OreCrusherDB.DEPct * .01))) - (HesCraft * 12000)
	else
		HesTotalRaw = (HesGceRaw + HesHypRaw) - (HesCraft * 12000)
	end
	OC_HesTotalGLabel:SetText(OreCrusher_GoldSplit(HesTotalRaw, 1));
	OC_HesTotalSLabel:SetText(OreCrusher_GoldSplit(HesTotalRaw, 2));
	HesGemWorth = HesTotalRaw/HesAmt
	OC_HesWorthGLabel:SetText(OreCrusher_GoldSplit(HesGemWorth, 1));
	OC_HesWorthSLabel:SetText(OreCrusher_GoldSplit(HesGemWorth, 2));
	if (hessonite < 95000) and (HesGemWorth < 95000) then
		OC_HesRecLabel:SetText("Cut and Vendor");
		HesTotal = HesAmt * 90000
	elseif HesGemWorth < hessonite then
		OC_HesRecLabel:SetText("Auction Raw");
		HesTotal = HesRaw
	elseif HesGemWorth > hessonite then
		OC_HesRecLabel:SetText("DE");
		HesTotal = HesTotalRaw
	end
	--Jasper Ring
	JasCraft = JasAmt
	JasHyp = JasCraft*.75*1.5
	OC_JasHypAmtLabel:SetText(JasHyp);
	JasHypRaw = JasHyp * hypnoticdust
	OC_JasHypGLabel:SetText(OreCrusher_GoldSplit(JasHypRaw, 1));
	OC_JasHypSLabel:SetText(OreCrusher_GoldSplit(JasHypRaw, 2));
	JasGce = JasCraft*.25*(1.5/3)
	OC_JasGceAmtLabel:SetText(JasGce);
	JasGceRaw = JasGce * greaterceles
	OC_JasGceGLabel:SetText(OreCrusher_GoldSplit(JasGceRaw, 1));
	OC_JasGceSLabel:SetText(OreCrusher_GoldSplit(JasGceRaw, 2));
	if OreCrusherDB.DECheck == 1 then
		JasTotalRaw = ((JasGceRaw + JasHypRaw) * ((1 + OreCrusherDB.DEPct * .01))) - (JasCraft * 12000)
	else
		JasTotalRaw = (JasGceRaw + JasHypRaw) - (JasCraft * 12000)
	end
	OC_JasTotalGLabel:SetText(OreCrusher_GoldSplit(JasTotalRaw, 1));
	OC_JasTotalSLabel:SetText(OreCrusher_GoldSplit(JasTotalRaw, 2));
	JasGemWorth = JasTotalRaw/JasAmt
	OC_JasWorthGLabel:SetText(OreCrusher_GoldSplit(JasGemWorth, 1));
	OC_JasWorthSLabel:SetText(OreCrusher_GoldSplit(JasGemWorth, 2));
	if (jasper < 95000) and (JasGemWorth < 95000) then
		OC_JasRecLabel:SetText("Cut and Vendor");
		JasTotal = JasAmt * 90000
	elseif JasGemWorth < jasper then
		OC_JasRecLabel:SetText("Auction Raw");
		JasTotal = JasRaw
	elseif JasGemWorth > jasper then
		OC_JasRecLabel:SetText("DE");
		JasTotal = JasTotalRaw
	end
	--Nightstone Choker
	NigCraft = NigAmt/2
	NigHyp = NigCraft*.75*2.5
	OC_NigHypAmtLabel:SetText(NigHyp);
	NigHypRaw = NigHyp * hypnoticdust
	OC_NigHypGLabel:SetText(OreCrusher_GoldSplit(NigHypRaw, 1));
	OC_NigHypSLabel:SetText(OreCrusher_GoldSplit(NigHypRaw, 2));
	NigGce = NigCraft*.25*(2.5/3)
	OC_NigGceAmtLabel:SetText(NigGce);
	NigGceRaw = NigGce * greaterceles
	OC_NigGceGLabel:SetText(OreCrusher_GoldSplit(NigGceRaw, 1));
	OC_NigGceSLabel:SetText(OreCrusher_GoldSplit(NigGceRaw, 2));
	if OreCrusherDB.DECheck == 1 then
		NigTotalRaw = ((NigGceRaw + NigHypRaw) * ((1 + OreCrusherDB.DEPct * .01))) - (NigCraft * 12000)
	else
		NigTotalRaw = (NigGceRaw + NigHypRaw) - (NigCraft * 12000)
	end
	OC_NigTotalGLabel:SetText(OreCrusher_GoldSplit(NigTotalRaw, 1));
	OC_NigTotalSLabel:SetText(OreCrusher_GoldSplit(NigTotalRaw, 2));
	NigGemWorth = NigTotalRaw/NigAmt
	OC_NigWorthGLabel:SetText(OreCrusher_GoldSplit(NigGemWorth, 1));
	OC_NigWorthSLabel:SetText(OreCrusher_GoldSplit(NigGemWorth, 2));
	if (nightstone < 95000) and (NigGemWorth < 95000) then
		OC_NigRecLabel:SetText("Cut and Vendor");
		NigTotal = NigAmt*90000
	elseif NigGemWorth < nightstone then
		OC_NigRecLabel:SetText("Auction Raw");
		NigTotal = NigRaw
	elseif NigGemWorth > nightstone then
		OC_NigRecLabel:SetText("DE");
		NigTotal = NigTotalRaw
	end
	if (zephyrite < 95000) then
		ZepTotal = ZepAmt * 90000
	else
		ZepTotal = ZepRaw
	end
	if OreCrusherDB.RareCheck == 1 then
		RareTotal = (AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw) * (1 + OreCrusherDB.RarePct * .01)
	else
		RareTotal = (AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw)
	end
	--Set total with DE label
	DETotalRaw = RareTotal + (AliTotal + CarTotal + HesTotal + JasTotal + NigTotal + ZepTotal) + VolRaw
	OC_DETotalGLabel:SetText(OreCrusher_GoldSplit(DETotalRaw, 1));
end

function OreCrusher_Xmute()
	if OreCrusherDB.RareCheck == 1 then
		RareTotal = (AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw) * (1 + OreCrusherDB.RarePct * .01)
	else
		RareTotal = (AmbRaw + DemRaw + DreRaw + EmbRaw + InfRaw + OceRaw)
	end
	if OreCrusherDB.XmuteCheck == 1 then
		XmuteAmt = ((AliAmt / 3) * 2 ) * 1.2
	else
		XmuteAmt = (AliAmt / 3) * 2
	end
	XmuteTotalRaw = (XmuteAmt * shadowspirit) + RareTotal + VolRaw
	OC_XmuteTotalGLabel:SetText(OreCrusher_GoldSplit(XmuteTotalRaw, 1));
end

function OreCrusher_MaxGold()
	if DETotalRaw < XmuteTotalRaw then
		OC_MaxSuggestionLabel:SetText("Transmute + Rare Cuts");
		MaxGRaw = XmuteTotalRaw - ((rvPPS*rvNS)*10000) 
	elseif DETotalRaw > XmuteTotalRaw then
		OC_MaxSuggestionLabel:SetText("DE/AH + Rare Cuts");
		MaxGRaw = DETotalRaw - ((rvPPS*rvNS)*10000) 
	end
	OC_MaxGLabel:SetText(OreCrusher_GoldSplit(MaxGRaw, 1));
end

function OreCrusher_GoldSplit(value, moneyType)
	if moneyType == 1 then
		gold = math.floor(value/10000);
		return gold or 0;
	elseif moneyType == 2 then
		silver = math.floor(strsub(value, -4)/100);
		return silver or 0;
	elseif moneyType == 3 then
		copper = math.floor(strsub(value, -2));
		return copper or 0;
	end
end

function OreCrusher_SlashCommandHandler(msg)
    if msg == "altbuyout" then
		if OreCrusherDB.AltBuyout == 0 then
			OreCrusherDB.AltBuyout = 1
			print("OreCrusher: Using GetAuctionBuyout instead of Auctioneer Undercut");
		else
			OreCrusherDB.AltBuyout = 0
			print("OreCrusher: Using Auctioneer Undercut");
		end
	end
	OreCrusherForm:Show();
end

function OreCrusher_Hider()
	OreCrusherForm:Hide();
	OreCrusherDE:Hide();
end

function OreCrusher_OnLoad()
	SlashCmdList["ORECRUSHER"] = OreCrusher_SlashCommandHandler;
	SLASH_ORECRUSHER1 = '/oc';
	SLASH_ORECRUSHER2 = '/orecrusher';
    SLASH_ORECRUSHER3 = '/theoc';
end